# Class TVDisplayApi

#### Hierarchy (View Summary)

- JBaseApi
  - TVDisplayApi

- Defined in jamespot-user-api/src/apis/tvDisplay/tvDisplay.ts:11

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

createChannel
getChannel
getConfigureChannel

## Constructors

### constructor

- new TVDisplayApi(jApi: JamespotUserApi): TVDisplayApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns TVDisplayApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### createChannel

- createChannel<R extends TVChannelLittle = TVChannelList>(
  channel: MaybeWithToken<
  | Readonly<
  ArticleCreation & {
  tvChannelBackgroundColor?: string
  | null;
  tvChannelConfig?: {
  backgroundType?: "color" | "image";
  contents?: {
  dateEnd?: (...) | (...);
  order?: (...) | (...);
  showComments?: (...) | (...) | (...);
  uri: string;
  }[];
  globalShowComment?: boolean;
  key: string;
  scaleImg?: boolean;
  };
  tvChannelGroupTarget?: jGroupLittle;
  tvChannelNumImages?: 0;
  tvChannelType?: "DYNAMIC";
  } & { tvChannelType: "DYNAMIC"
  | "SLIDESHOW" },
  >
  | Readonly<
  ArticleCreation & {
  tvChannelBackgroundColor?: string
  | null;
  tvChannelConfig?: {
  backgroundType?: "color" | "image";
  contents?: {
  dateEnd?: (...) | (...);
  order?: (...) | (...);
  showComments?: (...) | (...) | (...);
  uri: string;
  }[];
  globalShowComment?: boolean;
  key: string;
  scaleImg?: boolean;
  };
  tvChannelGroupTarget?: jGroupLittle;
  tvChannelNumImages?: number;
  tvChannelType?: "SLIDESHOW";
  } & { tvChannelType: "DYNAMIC"
  | "SLIDESHOW" },
  >,
  >,
  format?: string,
  ): Promise<ApiWrapper<R[], BaseMessages>>

  #### Type Parameters

  - R extends TVChannelLittle = TVChannelList

  #### Parameters

  - channel: MaybeWithToken<
    | Readonly<
    ArticleCreation & {
    tvChannelBackgroundColor?: string
    | null;
    tvChannelConfig?: {
    backgroundType?: "color" | "image";
    contents?: {
    dateEnd?: (...) | (...);
    order?: (...) | (...);
    showComments?: (...) | (...) | (...);
    uri: string;
    }[];
    globalShowComment?: boolean;
    key: string;
    scaleImg?: boolean;
    };
    tvChannelGroupTarget?: jGroupLittle;
    tvChannelNumImages?: 0;
    tvChannelType?: "DYNAMIC";
    } & { tvChannelType: "DYNAMIC"
    | "SLIDESHOW" },
    >
    | Readonly<
    ArticleCreation & {
    tvChannelBackgroundColor?: string
    | null;
    tvChannelConfig?: {
    backgroundType?: "color" | "image";
    contents?: {
    dateEnd?: (...) | (...);
    order?: (...) | (...);
    showComments?: (...) | (...) | (...);
    uri: string;
    }[];
    globalShowComment?: boolean;
    key: string;
    scaleImg?: boolean;
    };
    tvChannelGroupTarget?: jGroupLittle;
    tvChannelNumImages?: number;
    tvChannelType?: "SLIDESHOW";
    } & { tvChannelType: "DYNAMIC"
    | "SLIDESHOW" },
    >,
    >
  - format: string = 'raw-list'

  #### Returns Promise<ApiWrapper<R[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/tvDisplay/tvDisplay.ts:12

### getChannel

- getChannel(
  params: { id: number; key: string },
  ): Promise<ApiWrapper<TVGetChannelResponse, BaseMessages>>

  #### Parameters

  - params: { id: number; key: string }

  #### Returns Promise<ApiWrapper<TVGetChannelResponse, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/tvDisplay/tvDisplay.ts:25

### getConfigureChannel

- getConfigureChannel(
  params: { id: number },
  ): Promise<ApiWrapper<TVGetConfigureChannelResponse, BaseMessages>>

  #### Parameters

  - params: { id: number }

  #### Returns Promise<ApiWrapper<TVGetConfigureChannelResponse, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/tvDisplay/tvDisplay.ts:33